AUR web interface

**This is the bug tracker for the AUR web interface.**

Use this tracker to report bugs or make feature requests regarding the behaviour or implementation of the AUR software.
Please read the Reporting Bug Guidelines before filing a new task.
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

- Please report bugs related to Arch Linux official packages here: http://bugs.archlinux.org/index.php?project=1
- Please report bugs for [community] packages here: http://bugs.archlinux.org/index.php?project=5
- For any packages in the AUR contact the maintainer or leave a comment on the package's detail page.

Source Code:
https://projects.archlinux.org/aurweb.git/
Tasklist

FS#32450 - aur refuses upload of a package source containing underscore in the filename

Attached to Project: AUR web interface
Opened by Joakim Hernberg (jhernberg) - Sunday, 04 November 2012, 11:38 GMT
Last edited by canyonknight (canyonknight) - Monday, 05 November 2012, 17:27 GMT
Task Type Bug Report
Category Backend
Status Closed
Assigned To Lukas Fleischer (lfleischer)
Architecture All
Severity High
Priority Normal
Reported Version 2.0.0-rc1
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

I maintain a package called linux-rt. Due to how the old interface worked and how it refused me to use linux-rt-3.6.5-rt14-1.src.tar.gz, i think because of the extra hyphen in the package version number, i've been using linux-rt-3.6.5_rt14-1.src.tar.gz instead. Now i just tried to upload a new version into aur 2.0.0 and it refuses the upload with a message: Invalid name: only lowercase letters are allowed.

This task depends upon

Closed by  canyonknight (canyonknight)
Monday, 05 November 2012, 17:27 GMT
Reason for closing:  Duplicate
Additional comments about closing:  See  FS#16394 
Comment by Lukas Fleischer (lfleischer) - Sunday, 04 November 2012, 11:55 GMT
Are you tring to upload a split package?
Comment by Joakim Hernberg (jhernberg) - Sunday, 04 November 2012, 12:04 GMT
Yes, and i think i forgot the workaround. Let me go play with it again
Comment by Allan McRae (Allan) - Sunday, 04 November 2012, 12:14 GMT
How do you make such a package? makepkg bails if pkgver contains a hyphen.
Comment by Joakim Hernberg (jhernberg) - Sunday, 04 November 2012, 12:50 GMT
ah, yes that might have been the way it was. I needed to add the underscore for makepkg, and a workaround for aur. Was a long time ago, so have forgotten the details. I don't have all that much time today, but think most likely it is an issue of being a split package. Will let you know once i've fixed the script and tried uploading again
Comment by Joakim Hernberg (jhernberg) - Sunday, 04 November 2012, 14:19 GMT
Yes, it was the spit package that tripped me up. Got it uploaded now with the usual workaround. Sorry for the noise.

IMO, it would be desirable if AUR would support upload of split packages too.

Regarding makepkg, it would be nice if it would accept an underscore in the package name, since the real version number of the realtime patched kernel is indeed 3.6.5-rt15, so linux-rt-3.6.5-rt15-1 would be preferable to linux-rt-3.6.5_rt15-1.

Loading...